Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:3.0.3 Regression?: Yes

Operating System: macOS Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27287

Description

I'm having trouble importing layers of delimited text into a PostGIS database in QGIS 3.0.3 on macOS. I get the following error:

An error has occurred while executing Python code:

TypeError: setEnabled(self, bool): argument 1 has unexpected type 'QgsVectorLayer' 

Traceback (most recent call last):

File "/Applications/QGIS3.app/Contents/MacOS/../Resources/python/plugins/db_manager/dlg_import_vector.py", line 269, in

accept

self.reloadInputLayer()

File "/Applications/QGIS3.app/Contents/MacOS/../Resources/python/plugins/db_manager/dlg_import_vector.py", line 196, in

reloadInputLayer

self.checkSupports()

File "/Applications/QGIS3.app/Contents/MacOS/../Resources/python/plugins/db_manager/dlg_import_vector.py", line 103, in

checkSupports

self.chkGeomColumn.setEnabled(allowSpatial and hasGeomType)

TypeError: setEnabled(self, bool): argument 1 has unexpected type 'QgsVectorLayer'

Python version: 3.6.5 (v3.6.5:f59c0932b4, Mar 28 2018, 05:52:31) [GCC 4.2.1 Compatible Apple LLVM 6.0 (clang-600.0.57)] 

QGIS version: 3.0.3-Girona Girona, exported

I then tested it in QGIS 2.18.18, and it imports successfully.

I checked the import settings between the two and everything looks right, so I'm not sure what else could be causing this.

History

#1 - 2018-07-22 01:16 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

- Status changed from Open to Feedback

Still broken on 3.2?

#2 - 2018-08-04 09:00 PM - Eron Lloyd

Giovanni Manghi wrote:
Still broken on 3.2?

No, it seems to be working again now. Thanks!

#3 - 2018-08-05 04:48 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
